Bug 984827 - Upgrade rpm issues - rhevm-sdk -> rhevm-sdk-python prevents update
Upgrade rpm issues - rhevm-sdk -> rhevm-sdk-python prevents update
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Juan Hernández
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 02:56 EDT by Jiri Belka
Modified: 2016-02-10 14:20 EST (History)
10 users (show)

See Also:
Fixed In Version: IS6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-07-16 02:56:59 EDT
Description of problem:

Upgrade from 3.2 to 3.3 is broken - rhevm-sdk -> rhevm-sdk-python

Resolving Dependencies
--> Running transaction check
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be obsoleted
--> Processing Dependency: rhevm-sdk for package: rhevm-image-uploader-3.2.2-2.el6ev.noarch
--> Processing Dependency: rhevm-sdk >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-sdk >= 3.2.0.5-1 for package: rhevm-iso-uploader-3.2.2-2.el6ev.noarch
--> Processing Dependency: rhevm-sdk >= 3.2.1.1 for package: rhevm-cli-3.2.1.1-1.el6ev.noarch
--> Processing Dependency: rhevm-sdk for package: rhevm-log-collector-3.2.2-3.el6ev.noarch
---> Package rhevm-sdk-python.noarch 0:3.3.0.3-1.el6ev will be obsoleting
--> Running transaction check
---> Package rhevm-cli.noarch 0:3.2.1.1-1.el6ev will be updated
---> Package rhevm-cli.noarch 0:3.3.0.3-1.el6ev will be an update
---> Package rhevm-image-uploader.noarch 0:3.2.2-2.el6ev will be updated
---> Package rhevm-image-uploader.noarch 0:3.3.0-0.0.master.el6ev will be an update
---> Package rhevm-iso-uploader.noarch 0:3.2.2-2.el6ev will be updated
---> Package rhevm-iso-uploader.noarch 0:3.3.0-0.0.master.el6ev will be an update
---> Package rhevm-log-collector.noarch 0:3.2.2-3.el6ev will be updated
---> Package rhevm-log-collector.noarch 0:3.3.0-0.0.master.el6ev will be an update
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be obsoleted
--> Processing Dependency: rhevm-sdk >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Finished Dependency Resolution
Error: Package: rhevm-3.2.1-0.39.el6ev.noarch (@sf18.3)
           Requires: rhevm-sdk >= 3.2
           Removing: rhevm-sdk-3.2.1.1-1.el6ev.noarch (@sf18.1)
               rhevm-sdk = 3.2.1.1-1.el6ev
           Obsoleted By: rhevm-sdk-python-3.3.0.3-1.el6ev.noarch (is3)
               Not found
           Available: rhevm-sdk-3.2.0.11-1.el6ev.noarch (sf17.5)
               rhevm-sdk = 3.2.0.11-1.el6ev
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Not 100 % sure but this seems to be because 'rhevm' requires 'rhevm-sdk', so it would try to update it to 'rhevm-sdk-python' but as 'rhevm' requires exactly 'rhevm-sdk' and it is also pinned (/etc/yum/pluginconf.d/versionlock.list) it is thus broken.

Workaround: do not update any 'rhevm\*' via yum, then just update via 'rhevm-setup'. But anyway, this should not be broken.

Version-Release number of selected component (if applicable):
any 3.2 -> 3.3 >= is3

How reproducible:


Steps to Reproduce:
1. install 3.2
2. try to upgrade to >= is3 because it has changed rpm package name of sdk
3.

Actual results:
dependency hell

Expected results:
yum update should work

Additional info:
Comment 1 Itamar Heim 2013-07-16 05:33:32 EDT
does rhevm-sdk-python provides rhevm-sdk?
Comment 2 Michael Pasternak 2013-07-16 05:43:40 EDT
Jiri,

Integration folks had an issue with dependencies resolution, i guess it will
be fixed at upcoming build.
Comment 3 Michael Pasternak 2013-07-16 15:53:31 EDT
(In reply to Michael Pasternak from comment #2)
> Jiri,
> 
> Integration folks had an issue with dependencies resolution, i guess it will
> be fixed at upcoming build.

my bad, mentioned integration issue is not related to reported error,
but to broken spec., fix was issued some time ago and should be available
at IS6.
Comment 4 Ilia Meerovich 2013-07-23 07:51:01 EDT
[root@vm-161-147 ~]# yum install rhevm-sdk
Loaded plugins: product-id, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
jboss                                                                                                                                                                                                                 | 1.9 kB     00:00     
jboss/primary                                                                                                                                                                                                         | 110 kB     00:00     
jboss                                                                                                                                                                                                                                479/479
rhel                                                                                                                                                                                                                  | 3.9 kB     00:00     
rhel/primary_db                                                                                                                                                                                                       | 3.1 MB     00:04     
rhel-6-server-supplementary                                                                                                                                                                                           | 3.5 kB     00:00     
rhel-6-server-supplementary/primary_db                                                                                                                                                                                | 408 kB     00:00     
rhevm                                                                                                                                                                                                                 | 1.9 kB     00:00     
rhevm/primary                                                                                                                                                                                                         |  17 kB     00:00     
rhevm                                                                                                                                                                                                                                  76/76
rpmforge                                                                                                                                                                                                              | 1.9 kB     00:00     
rpmforge/primary_db                                                                                                                                                                                                   | 2.6 MB     02:27     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                  Arch                                                  Version                                                           Repository                                            Size
=============================================================================================================================================================================================================================================
Installing:
 rhevm-sdk                                                noarch                                                3.2.1.1-1.el6ev                                                   rhevm                                                274 k

Transaction Summary
=============================================================================================================================================================================================================================================
Install       1 Package(s)

Total download size: 274 k
Installed size: 3.0 M
Is this ok [y/N]: y
Downloading Packages:
rhevm-sdk-3.2.1.1-1.el6ev.noarch.rpm                                                                                                                                                                                  | 274 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          1/1 
  Verifying  : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          1/1 

Installed:
  rhevm-sdk.noarch 0:3.2.1.1-1.el6ev                                                                                                                                                                                                         

Complete!
[root@vm-161-147 ~]# cat /etc/yum.repos.d/rhevm.repo 
[rhevm]
name=Red Hat Enterprise Virtualization Manager
baseurl=http://bob.eng.lab.tlv.redhat.com/builds/latest_sf
enabled=1
gpgcheck=0
[root@vm-161-147 ~]# vim /etc/yum.repos.d/rhevm.repo 
[root@vm-161-147 ~]# cat /etc/yum.repos.d/rhevm.repo 
[rhevm]
name=Red Hat Enterprise Virtualization Manager
baseurl=http://bob.eng.lab.tlv.redhat.com/builds/latest_is
enabled=1
gpgcheck=0
[root@vm-161-147 ~]# yum clean all
Loaded plugins: product-id, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Cleaning repos: jboss rhel rhel-6-server-supplementary rhevm rpmforge
Cleaning up Everything
[root@vm-161-147 ~]# yum install rhevm-sdk
Loaded plugins: product-id, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
jboss                                                                                                                                                                                                                 | 1.9 kB     00:00     
jboss/primary                                                                                                                                                                                                         | 110 kB     00:00     
jboss                                                                                                                                                                                                                                479/479
rhel                                                                                                                                                                                                                  | 3.9 kB     00:00     
rhel/primary_db                                                                                                                                                                                                       | 3.1 MB     00:04     
rhel-6-server-supplementary                                                                                                                                                                                           | 3.5 kB     00:00     
rhel-6-server-supplementary/primary_db                                                                                                                                                                                | 408 kB     00:00     
rhevm                                                                                                                                                                                                                 | 1.3 kB     00:00     
rhevm/primary                                                                                                                                                                                                         |  25 kB     00:00     
rhevm                                                                                                                                                                                                                                113/113
rpmforge                                                                                                                                                                                                              | 1.9 kB     00:00     
rpmforge/primary_db                                                                                                                                                                                                   | 2.6 MB     01:49     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be obsoleted
---> Package rhevm-sdk-python.noarch 0:3.3.0.6-1.el6ev will be obsoleting
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                        Arch                                                 Version                                                       Repository                                           Size
=============================================================================================================================================================================================================================================
Installing:
 rhevm-sdk-python                                               noarch                                               3.3.0.6-1.el6ev                                               rhevm                                               301 k
     replacing  rhevm-sdk.noarch 3.2.1.1-1.el6ev

Transaction Summary
=============================================================================================================================================================================================================================================
Install       1 Package(s)

Total download size: 301 k
Is this ok [y/N]: y
Downloading Packages:
rhevm-sdk-python-3.3.0.6-1.el6ev.noarch.rpm                                                                                                                                                                           | 301 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : rhevm-sdk-python-3.3.0.6-1.el6ev.noarch                                                                                                                                                                                   1/2 
  Erasing    : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          2/2 
  Verifying  : rhevm-sdk-python-3.3.0.6-1.el6ev.noarch                                                                                                                                                                                   1/2 
  Verifying  : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          2/2 

Installed:
  rhevm-sdk-python.noarch 0:3.3.0.6-1.el6ev                                                                                                                                                                                                  

Replaced:
  rhevm-sdk.noarch 0:3.2.1.1-1.el6ev                                                                                                                                                                                                         

Complete!
[root@vm-161-147 ~]#
Comment 6 Ilia Meerovich 2013-07-23 09:47:48 EDT
[root@vm-161-147 ~]# yum install rhevm
Loaded plugins: product-id, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
jboss                                                                                                                                                                                                                 | 1.9 kB     00:00     
jboss/primary                                                                                                                                                                                                         | 110 kB     00:00     
jboss                                                                                                                                                                                                                                479/479
rhel                                                                                                                                                                                                                  | 3.9 kB     00:00     
rhel/primary_db                                                                                                                                                                                                       | 3.1 MB     00:13     
rhel-6-server-supplementary                                                                                                                                                                                           | 3.5 kB     00:00     
rhel-6-server-supplementary/primary_db                                                                                                                                                                                | 408 kB     00:00     
rhevm                                                                                                                                                                                                                 | 1.9 kB     00:00     
rhevm/primary                                                                                                                                                                                                         |  17 kB     00:00     
rhevm                                                                                                                                                                                                                                  76/76
rpmforge                                                                                                                                                                                                              | 1.9 kB     00:00     
rpmforge/primary_db                                                                                                                                                                                                   | 2.6 MB     00:02     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhevm.noarch 0:3.2.1-0.39.el6ev will be installed
--> Processing Dependency: rhevm-webadmin-portal = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-userportal = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-restapi = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-notification-service = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-genericapi = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-dbscripts = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-config = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-backend = 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-spice-client-x86-cab >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-spice-client-x64-cab >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-setup >= 3.2.1-0.39.el6ev for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-sdk >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-log-collector >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-iso-uploader >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-image-uploader >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: rhevm-cli >= 3.2 for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: python-configobj for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Processing Dependency: postgresql-jdbc for package: rhevm-3.2.1-0.39.el6ev.noarch
--> Running transaction check
---> Package postgresql-jdbc.noarch 0:8.4.701-8.el6 will be installed
---> Package python-configobj.noarch 0:4.6.0-3.el6 will be installed
---> Package rhevm-backend.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-cli.noarch 0:3.2.1.1-1.el6ev will be installed
---> Package rhevm-config.noarch 0:3.2.1-0.39.el6ev will be installed
--> Processing Dependency: rhevm-tools-common = 3.2.1-0.39.el6ev for package: rhevm-config-3.2.1-0.39.el6ev.noarch
---> Package rhevm-dbscripts.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-genericapi.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-image-uploader.noarch 0:3.2.2-2.el6ev will be installed
---> Package rhevm-iso-uploader.noarch 0:3.2.2-2.el6ev will be installed
---> Package rhevm-log-collector.noarch 0:3.2.2-3.el6ev will be installed
---> Package rhevm-notification-service.noarch 0:3.2.1-0.39.el6ev will be installed
--> Processing Dependency: classpathx-mail for package: rhevm-notification-service-3.2.1-0.39.el6ev.noarch
---> Package rhevm-restapi.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be installed
---> Package rhevm-setup.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-spice-client-x64-cab.noarch 0:3.2-13.el6ev will be installed
---> Package rhevm-spice-client-x86-cab.noarch 0:3.2-13.el6ev will be installed
---> Package rhevm-userportal.noarch 0:3.2.1-0.39.el6ev will be installed
---> Package rhevm-webadmin-portal.noarch 0:3.2.1-0.39.el6ev will be installed
--> Running transaction check
---> Package classpathx-mail.noarch 0:1.1.1-9.4.el6 will be installed
---> Package rhevm-tools-common.noarch 0:3.2.1-0.39.el6ev will be installed
--> Processing Dependency: jakarta-commons-jxpath for package: rhevm-tools-common-3.2.1-0.39.el6ev.noarch
--> Running transaction check
---> Package apache-commons-jxpath.noarch 0:1.3-5.1_redhat_1.ep6.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                             Arch                                            Version                                                            Repository                                      Size
=============================================================================================================================================================================================================================================
Installing:
 rhevm                                                               noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                          1.1 M
Installing for dependencies:
 apache-commons-jxpath                                               noarch                                          1.3-5.1_redhat_1.ep6.el6                                           rhevm                                          300 k
 classpathx-mail                                                     noarch                                          1.1.1-9.4.el6                                                      rhel                                           479 k
 postgresql-jdbc                                                     noarch                                          8.4.701-8.el6                                                      rhel                                           402 k
 python-configobj                                                    noarch                                          4.6.0-3.el6                                                        rhel                                           182 k
 rhevm-backend                                                       noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                          9.2 M
 rhevm-cli                                                           noarch                                          3.2.1.1-1.el6ev                                                    rhevm                                          162 k
 rhevm-config                                                        noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           15 k
 rhevm-dbscripts                                                     noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                          173 k
 rhevm-genericapi                                                    noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           20 k
 rhevm-image-uploader                                                noarch                                          3.2.2-2.el6ev                                                      rhevm                                          101 k
 rhevm-iso-uploader                                                  noarch                                          3.2.2-2.el6ev                                                      rhevm                                           32 k
 rhevm-log-collector                                                 noarch                                          3.2.2-3.el6ev                                                      rhevm                                           46 k
 rhevm-notification-service                                          noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           51 k
 rhevm-restapi                                                       noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                          1.1 M
 rhevm-sdk                                                           noarch                                          3.2.1.1-1.el6ev                                                    rhevm                                          274 k
 rhevm-setup                                                         noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                          173 k
 rhevm-spice-client-x64-cab                                          noarch                                          3.2-13.el6ev                                                       rhevm                                           19 M
 rhevm-spice-client-x86-cab                                          noarch                                          3.2-13.el6ev                                                       rhevm                                           23 M
 rhevm-tools-common                                                  noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           11 k
 rhevm-userportal                                                    noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           72 M
 rhevm-webadmin-portal                                               noarch                                          3.2.1-0.39.el6ev                                                   rhevm                                           93 M

Transaction Summary
=============================================================================================================================================================================================================================================
Install      22 Package(s)

Total download size: 221 M
Installed size: 457 M
Is this ok [y/N]: y
Downloading Packages:
(1/22): apache-commons-jxpath-1.3-5.1_redhat_1.ep6.el6.noarch.rpm                                                                                                                                                     | 300 kB     00:00     
(2/22): classpathx-mail-1.1.1-9.4.el6.noarch.rpm                                                                                                                                                                      | 479 kB     00:02     
(3/22): postgresql-jdbc-8.4.701-8.el6.noarch.rpm                                                                                                                                                                      | 402 kB     00:02     
(4/22): python-configobj-4.6.0-3.el6.noarch.rpm                                                                                                                                                                       | 182 kB     00:01     
(5/22): rhevm-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                             | 1.1 MB     00:00     
(6/22): rhevm-backend-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                     | 9.2 MB     00:00     
(7/22): rhevm-cli-3.2.1.1-1.el6ev.noarch.rpm                                                                                                                                                                          | 162 kB     00:00     
(8/22): rhevm-config-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                      |  15 kB     00:00     
(9/22): rhevm-dbscripts-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                   | 173 kB     00:00     
(10/22): rhevm-genericapi-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                 |  20 kB     00:00     
(11/22): rhevm-image-uploader-3.2.2-2.el6ev.noarch.rpm                                                                                                                                                                | 101 kB     00:00     
(12/22): rhevm-iso-uploader-3.2.2-2.el6ev.noarch.rpm                                                                                                                                                                  |  32 kB     00:00     
(13/22): rhevm-log-collector-3.2.2-3.el6ev.noarch.rpm                                                                                                                                                                 |  46 kB     00:00     
(14/22): rhevm-notification-service-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                       |  51 kB     00:00     
(15/22): rhevm-restapi-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                    | 1.1 MB     00:00     
(16/22): rhevm-sdk-3.2.1.1-1.el6ev.noarch.rpm                                                                                                                                                                         | 274 kB     00:00     
(17/22): rhevm-setup-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                      | 173 kB     00:00     
(18/22): rhevm-spice-client-x64-cab-3.2-13.el6ev.noarch.rpm                                                                                                                                                           |  19 MB     00:00     
(19/22): rhevm-spice-client-x86-cab-3.2-13.el6ev.noarch.rpm                                                                                                                                                           |  23 MB     00:00     
(20/22): rhevm-tools-common-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                               |  11 kB     00:00     
(21/22): rhevm-userportal-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                                 |  72 MB     00:01     
(22/22): rhevm-webadmin-portal-3.2.1-0.39.el6ev.noarch.rpm                                                                                                                                                            |  93 MB     00:01     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                         18 MB/s | 221 MB     00:12     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                         1/22 
  Installing : rhevm-cli-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                         2/22 
  Installing : rhevm-iso-uploader-3.2.2-2.el6ev.noarch                                                                                                                                                                                  3/22 
  Installing : rhevm-image-uploader-3.2.2-2.el6ev.noarch                                                                                                                                                                                4/22 
  Installing : rhevm-log-collector-3.2.2-3.el6ev.noarch                                                                                                                                                                                 5/22 
  Installing : python-configobj-4.6.0-3.el6.noarch                                                                                                                                                                                      6/22 
  Installing : postgresql-jdbc-8.4.701-8.el6.noarch                                                                                                                                                                                     7/22 
  Installing : apache-commons-jxpath-1.3-5.1_redhat_1.ep6.el6.noarch                                                                                                                                                                    8/22 
  Installing : classpathx-mail-1.1.1-9.4.el6.noarch                                                                                                                                                                                     9/22 
  Installing : rhevm-genericapi-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                10/22 
  Installing : rhevm-restapi-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                   11/22 
  Installing : rhevm-setup-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                     12/22 
  Installing : rhevm-spice-client-x86-cab-3.2-13.el6ev.noarch                                                                                                                                                                          13/22 
  Installing : rhevm-spice-client-x64-cab-3.2-13.el6ev.noarch                                                                                                                                                                          14/22 
  Installing : rhevm-userportal-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                15/22 
  Installing : rhevm-backend-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                   16/22 
  Installing : rhevm-dbscripts-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                 17/22 
  Installing : rhevm-webadmin-portal-3.2.1-0.39.el6ev.noarch                                                                                                                                                                           18/22 
  Installing : rhevm-config-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                    19/22 
  Installing : rhevm-tools-common-3.2.1-0.39.el6ev.noarch                                                                                                                                                                              20/22 
  Installing : rhevm-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                           21/22 
  Installing : rhevm-notification-service-3.2.1-0.39.el6ev.noarch                                                                                                                                                                      22/22 
  Verifying  : classpathx-mail-1.1.1-9.4.el6.noarch                                                                                                                                                                                     1/22 
  Verifying  : rhevm-genericapi-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                 2/22 
  Verifying  : apache-commons-jxpath-1.3-5.1_redhat_1.ep6.el6.noarch                                                                                                                                                                    3/22 
  Verifying  : rhevm-cli-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                         4/22 
  Verifying  : rhevm-restapi-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                    5/22 
  Verifying  : rhevm-setup-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                      6/22 
  Verifying  : rhevm-spice-client-x86-cab-3.2-13.el6ev.noarch                                                                                                                                                                           7/22 
  Verifying  : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                         8/22 
  Verifying  : postgresql-jdbc-8.4.701-8.el6.noarch                                                                                                                                                                                     9/22 
  Verifying  : rhevm-iso-uploader-3.2.2-2.el6ev.noarch                                                                                                                                                                                 10/22 
  Verifying  : rhevm-userportal-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                11/22 
  Verifying  : rhevm-backend-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                   12/22 
  Verifying  : rhevm-dbscripts-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                 13/22 
  Verifying  : rhevm-image-uploader-3.2.2-2.el6ev.noarch                                                                                                                                                                               14/22 
  Verifying  : rhevm-config-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                    15/22 
  Verifying  : rhevm-webadmin-portal-3.2.1-0.39.el6ev.noarch                                                                                                                                                                           16/22 
  Verifying  : rhevm-log-collector-3.2.2-3.el6ev.noarch                                                                                                                                                                                17/22 
  Verifying  : python-configobj-4.6.0-3.el6.noarch                                                                                                                                                                                     18/22 
  Verifying  : rhevm-tools-common-3.2.1-0.39.el6ev.noarch                                                                                                                                                                              19/22 
  Verifying  : rhevm-notification-service-3.2.1-0.39.el6ev.noarch                                                                                                                                                                      20/22 
  Verifying  : rhevm-spice-client-x64-cab-3.2-13.el6ev.noarch                                                                                                                                                                          21/22 
  Verifying  : rhevm-3.2.1-0.39.el6ev.noarch                                                                                                                                                                                           22/22 

Installed:
  rhevm.noarch 0:3.2.1-0.39.el6ev                                                                                                                                                                                                            

Dependency Installed:
  apache-commons-jxpath.noarch 0:1.3-5.1_redhat_1.ep6.el6           classpathx-mail.noarch 0:1.1.1-9.4.el6                     postgresql-jdbc.noarch 0:8.4.701-8.el6                 python-configobj.noarch 0:4.6.0-3.el6               
  rhevm-backend.noarch 0:3.2.1-0.39.el6ev                           rhevm-cli.noarch 0:3.2.1.1-1.el6ev                         rhevm-config.noarch 0:3.2.1-0.39.el6ev                 rhevm-dbscripts.noarch 0:3.2.1-0.39.el6ev           
  rhevm-genericapi.noarch 0:3.2.1-0.39.el6ev                        rhevm-image-uploader.noarch 0:3.2.2-2.el6ev                rhevm-iso-uploader.noarch 0:3.2.2-2.el6ev              rhevm-log-collector.noarch 0:3.2.2-3.el6ev          
  rhevm-notification-service.noarch 0:3.2.1-0.39.el6ev              rhevm-restapi.noarch 0:3.2.1-0.39.el6ev                    rhevm-sdk.noarch 0:3.2.1.1-1.el6ev                     rhevm-setup.noarch 0:3.2.1-0.39.el6ev               
  rhevm-spice-client-x64-cab.noarch 0:3.2-13.el6ev                  rhevm-spice-client-x86-cab.noarch 0:3.2-13.el6ev           rhevm-tools-common.noarch 0:3.2.1-0.39.el6ev           rhevm-userportal.noarch 0:3.2.1-0.39.el6ev          
  rhevm-webadmin-portal.noarch 0:3.2.1-0.39.el6ev                  

Complete!
[root@vm-161-147 ~]# vim /etc/yum.repos.d/rhevm.repo 
[root@vm-161-147 ~]# yum install rhevm-sdk-python
Loaded plugins: product-id, subscription-manager, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
rhevm                                                                                                                                                                                                                 | 1.3 kB     00:00     
rhevm/primary                                                                                                                                                                                                         |  25 kB     00:00     
rhevm                                                                                                                                                                                                                                113/113
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhevm-sdk.noarch 0:3.2.1.1-1.el6ev will be obsoleted
---> Package rhevm-sdk-python.noarch 0:3.3.0.6-1.el6ev will be obsoleting
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                        Arch                                                 Version                                                       Repository                                           Size
=============================================================================================================================================================================================================================================
Installing:
 rhevm-sdk-python                                               noarch                                               3.3.0.6-1.el6ev                                               rhevm                                               301 k
     replacing  rhevm-sdk.noarch 3.2.1.1-1.el6ev

Transaction Summary
=============================================================================================================================================================================================================================================
Install       1 Package(s)

Total download size: 301 k
Is this ok [y/N]: y
Downloading Packages:
rhevm-sdk-python-3.3.0.6-1.el6ev.noarch.rpm                                                                                                                                                                           | 301 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : rhevm-sdk-python-3.3.0.6-1.el6ev.noarch                                                                                                                                                                                   1/2 
  Erasing    : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          2/2 
  Verifying  : rhevm-sdk-python-3.3.0.6-1.el6ev.noarch                                                                                                                                                                                   1/2 
  Verifying  : rhevm-sdk-3.2.1.1-1.el6ev.noarch                                                                                                                                                                                          2/2 

Installed:
  rhevm-sdk-python.noarch 0:3.3.0.6-1.el6ev                                                                                                                                                                                                  

Replaced:
  rhevm-sdk.noarch 0:3.2.1.1-1.el6ev                                                                                                                                                                                                         

Complete!
[root@vm-161-147 ~]#
Comment 8 Itamar Heim 2014-01-21 17:32:20 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:32:22 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.